EAPI EAPI_WEAK Eina_Error efl_ui_theme_apply_error_default_get(void)
{
   static Eina_Error err = EINA_ERROR_NO_ERROR;
   if (err == EINA_ERROR_NO_ERROR)
     err = eina_error_msg_static_register("Fallback to default style was enabled for this widget");
   return err;
}

EAPI EAPI_WEAK Eina_Error efl_ui_theme_apply_error_generic_get(void)
{
   static Eina_Error err = EINA_ERROR_NO_ERROR;
   if (err == EINA_ERROR_NO_ERROR)
     err = eina_error_msg_static_register("An error occurred and no theme could be set for this widget");
   return err;
}

EAPI EAPI_WEAK Eina_Error efl_ui_theme_apply_error_version_get(void)
{
   static Eina_Error err = EINA_ERROR_NO_ERROR;
   if (err == EINA_ERROR_NO_ERROR)
     err = eina_error_msg_static_register("The widget attempted to load a theme that is incompatible with the current EFL version");
   return err;
}

